SDHC_CR_Type Union Reference

## Data Fields

struct {
uint16_t RESPTYP:2
uint16_t __pad0__:1
uint16_t CMDCCEN:1
uint16_t CMDICEN:1
uint16_t DPSEL:1
uint16_t CMDTYP:2
uint16_t CMDIDX:6
uint16_t __pad1__:2
} | bit
uint16_t | reg

## Detailed Description

Definition at line 202 of file sdhc.h.

## Field Documentation

## __pad0__

uint16_t SDHC_CR_Type::__pad0__

bit: 2 Reserved

Definition at line 205 of file sdhc.h.

## __pad1__

uint16_t SDHC_CR_Type::__pad1__

bit: 14..15 Reserved

Definition at line 211 of file sdhc.h.

## bit

struct { ... } SDHC_CR_Type::bit

Structure used for bit access

## CMDCCEN

uint16_t SDHC_CR_Type::CMDCCEN

bit: 3 Command CRC Check Enable

Definition at line 206 of file sdhc.h.

## CMDICEN

uint16_t SDHC_CR_Type::CMDICEN

bit: 4 Command Index Check Enable

Definition at line 207 of file sdhc.h.

## CMDIDX

uint16_t SDHC_CR_Type::CMDIDX

bit: 8..13 Command Index

Definition at line 210 of file sdhc.h.

## CMDTYP

uint16_t SDHC_CR_Type::CMDTYP

bit: 6.. 7 Command Type

Definition at line 209 of file sdhc.h.

## DPSEL

uint16_t SDHC_CR_Type::DPSEL

bit: 5 Data Present Select

Definition at line 208 of file sdhc.h.

## reg

uint16_t SDHC_CR_Type::reg

Type used for register access

Definition at line 213 of file sdhc.h.

## RESPTYP

uint16_t SDHC_CR_Type::RESPTYP

bit: 0.. 1 Response Type

Definition at line 204 of file sdhc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sdhc.h